Bug 139110 - FILEOPEN RTF: Text frame in autoshape textbox is mispositioned
Summary: FILEOPEN RTF: Text frame in autoshape textbox is mispositioned
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: implementationError
Depends on:
Blocks: RTF-Shapes
  Show dependency treegraph
 
Reported: 2020-12-21 05:27 UTC by Aron Budea
Modified: 2022-12-24 03:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample RTF (52.46 KB, application/rtf)
2020-12-21 05:27 UTC, Aron Budea
Details
Screenshot (Word) (31.85 KB, image/png)
2020-12-21 05:28 UTC, Aron Budea
Details
Screenshot (Writer, 7.2) (43.27 KB, image/png)
2020-12-21 05:38 UTC, Aron Budea
Details
Screenshot (Writer, 4.2) (54.36 KB, image/png)
2020-12-21 06:09 UTC, Aron Budea
Details
2nd sample RTF (49.38 KB, application/rtf)
2020-12-22 05:18 UTC, Aron Budea
Details
Screenshot of 2nd sample (Word) (33.46 KB, image/png)
2020-12-22 05:19 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2020-12-21 05:27:45 UTC
Created attachment 168364 [details]
Sample RTF

This is a follow-up to bug 126173, now the content is visible, but in some cases it's positioned incorrectly.

In addition, in the attached sample the list is wrongly positioned, too.
Comment 1 Aron Budea 2020-12-21 05:28:17 UTC
Created attachment 168365 [details]
Screenshot (Word)
Comment 2 Aron Budea 2020-12-21 05:38:11 UTC
Created attachment 168366 [details]
Screenshot (Writer, 7.2)

LO 7.2.0.0.alpha0+ (e97a81e94511b52987a50b7bdb72c922899da588), 6.3.0.4 / Windows.
In 6.2.0.4 and 4.4.0.3 the separate frames are there, without content.
In 4.3.0.4 Writer crashes when opening the file.
In 4.2.0.4 there is content, but not correctly positioned (in a different way than in current master).
In 4.1.0.4 there is only a single frame.
3.5.0.3 is the earliest version that shows the frame.
Comment 3 Aron Budea 2020-12-21 06:09:59 UTC
Created attachment 168367 [details]
Screenshot (Writer, 4.2)

(In reply to Aron Budea from comment #2)
> In 4.2.0.4 there is content, but not correctly positioned (in a different
> way than in current master).
There's actually a period where the text formatting looks on point, only the inner frame is positioned badly.

In 4.2, the change from the single empty frame to two frames, with good formatting happened in the following range (opening the file crashes in between).
https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=b3962c92bfb8d14d908bfeb9142548e9686ee105..a8153482ad4f918f3501aed34c3131e970592575

And the change that "ruined" the formatting happened in either of the following two commits (opening the file crashes at the first):
https://cgit.freedesktop.org/libreoffice/core/commit/?id=6d191c06c737e4c7f3e2c5f8b871d1037b4ce783
https://cgit.freedesktop.org/libreoffice/core/commit/?id=2e11cb276e54c6fe4e903c7f44e36bc36798ba63

Since this isn't the main issue (which is the frame positioning), it can be split off if needed.
Comment 4 Xisco Faulí 2020-12-21 14:14:34 UTC
Reproduced in

Version: 7.2.0.0.alpha0+
Build ID: ad8485ebe11396aaac68095ef9eec819de6af26c
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 5 Aron Budea 2020-12-22 05:18:50 UTC
Created attachment 168395 [details]
2nd sample RTF

Here's another sample, what's slightly different is that in Writer the text box is pushed horizontally towards the page center, likely because of the mispositioned text.
Comment 6 Aron Budea 2020-12-22 05:19:22 UTC
Created attachment 168396 [details]
Screenshot of 2nd sample (Word)
Comment 7 QA Administrators 2022-12-24 03:25:29 UTC
Dear Aron Budea,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug